Package Details: arm-linux-gnueabihf-gdb 8.2-1

Git Clone URL: https://aur.archlinux.org/arm-linux-gnueabihf-gdb.git (read-only)
Package Base: arm-linux-gnueabihf-gdb
Description: The GNU Debugger for the ARM hard float target
Upstream URL: http://www.gnu.org/software/gdb/
Licenses: GPL3
Submitter: lipnitsk
Maintainer: None
Last Packager: lipnitsk
Votes: 8
Popularity: 0.000397
First Submitted: 2015-09-18 21:45
Last Updated: 2018-10-02 18:00

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

Binabik commented on 2017-05-03 09:02

Guile was updated to version 2.2.x around march 2017. It seems to me that building gdb from source still requires guile 2.0.x (which is also done in the official package in extra/gdb).

I could successfully build arm-linux-gnueabihf-gdb with the following changes in the PKGBUILD:
1. Change line 11 to: depends=(xz ncurses expat python2 guile2.0)
2. In the configure step in line 22, add: --with-guile=guile-2.0 \

potatoe commented on 2017-02-15 05:19

GDB 7.12 seems to compile fine with just a version bump and new sha256sums.

Would it be worth considering switching to python 3 instead of 2? That would bring it inline with the system gdb, and it would make it easier to share gdbinit configs between them (e.g. installing gef or voltron). Seems to work fine with just a change in the dependencies and pointing at python3 in the configure command.